2 amerray AmerRay 于 2016.03.02 23:25 提问

关于MAC上安装JDK1.6,为什么不能安装 10C

之前安装了jdk1.8和jdk1.7,但是在安装eclipse 的时候提示要安装jdk1.6,所以按照网上的方法卸载了1.8和1.7,我的java目录下面已经没有任何版本的jdk了,而且在终端上输入java -version也显示没有jdk,,但是为什么还是安装不了??求大神解答,图片说明图片说明图片说明

4个回答

qq_27581749
qq_27581749   2016.03.03 00:00

JDK安装后需要设置环境变量才能在DOS命令下运行JAVA命令

AmerRay
AmerRay 貌似mac安装JDK不需要设置环境变量把
2 年多之前 回复
AmerRay
AmerRay 貌似mac安装JDK不需要设置环境变量把
2 年多之前 回复
qq_27581749
qq_27581749   2016.03.03 00:16

方案一:EXE安装版jdk,安装时两次安装的不要选同一个目录,安装后需要配置环境变量才能使用……
方案二:下载jdk压缩包,然后解压出来之后在eclipse里面添加jdk解压路径,同样配置环境变量……
方案三:下载myeclipse安装后就自带jdk版本了,而且MyEclipse比eclipse更强大,因为……它装了B(插件)就升级了嘛(。・`ω´・)

code_better
code_better   2016.03.03 00:06

下载最新版的eclipse吧

dcxy0
dcxy0   Ds   Rxr 2016.03.03 09:54

换idea吧,eclipse都老掉牙了。。。。。。

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
Mac下安装jdk1.6及添加java环境变量
OSX下安装jdk1.6有时挺烦的,其实jdk1.6的安装文件下载也不容易找到,可参考相应的下载【http://pan.baidu.com/s/1dDhbYpj】
MAC上安装JAVA JDK1.6
今天我想运行mac上安装了myeclipse,结果提示需要安装JDK1.6才可以运行
解决mac10.11 提示的未安装java1.6的问题
解决办法 既然不支持古老的 Java SE 6,那我们何不直接安装最新版本的 Java SE 8? 准备工作 首先,你需要去官网下载最新版本的 JDK(为什么是 JDK 而不是 JRE?因为 JRE 的修改方法更麻烦一些……与其如此,还不如一步到位。)然后安装之。 验证版本 打开终端,然后使用如下命令来查看,如果你的结果和我这里的差不多,那说明已经安装好了。
解决JDk1.6无法安装得问题
最近得JDK1.6测试版下载回来后总是安装不了, 一双击安装文件来,就会提示“无法应用转换程序“,其实这是 JDK1.6 开发中得一个下BUG,这个BUG将再B94中得到修正。如果 要安装该JDK只要从CMD模式下面输入 JDK1.6*(your JDK File Name) /lang=1033 就可以安装来
mac安装了jdk1.8,java -version仍然显示jdk1.6?解决超级简单!
起源:mac默认自带是1.6版本的jdk,但是最新的eclipse只支持1.8以及更新的版本。于是我马          上到oracle中文网下载了1.8版本的jdk,安装好之后,再启用eslipse的安装程序,仍然            报 jdk版本过低,打开mac终端 java-version 显示jdk是1.6?原因:oracle中文网下载的jdk,它安装的位置不是系统默认的      ...
Mac官方 JDK1.6
Mac官方 JDK1.6 Mac官方 JDK1.6 Mac官方 JDK1.6 Mac官方 JDK1.6 Mac官方 JDK1.6 Mac官方 JDK1.6
Mac OS X安装JDK1.6及相关备忘 解决了找不到tools.jar的问题
Mac OS X安装JDK1.6及相关备忘   1.安装JDK1.6 oracle官网从jdk1.7开始才有Mac版的安装包,但有的项目必须使用jdk1.6,所以必须从其他途径安装jdk1.6了。 查了下发现,要想安装jdk1.6,可以直接从apple的开发者网站下安装提供的java支持包,具体下载地址 http://connect.apple.com/
MAC OSX安装多个版本的JAVA(jdk jre通用)
MAC自带的jdk1.6是苹果公司自己修改的jdk版本,被广泛应用于各种mac软件,具有不可替代性;同时,java1.7和1.8有时也需要用到。因此,在mac上安装、使用多个版本的java具有重要意义。以下以1.6和1.8为例介绍安装、使用方法。 1.从JAVA官网下载jdk1.8或者jre1.8的安装包,点击安装。这一步过后,在命令行输入java -version仍然显示为1.6,因为1.
jdk1.6 for osx
jdk1.6 for mac osx,官方版,在10.11.6上进行安装测试
jdk1.6,jdk1.7,jdk1.8安装共存问题
        一次心血来潮,决心研究一下,电脑上面安装3个版本的JDK,于是开始了测试,其实也不能说是安装3个版本的,1.6版本的是公司给的压缩包形式的,1.7和1.8版本的是我自己在电脑上面安装的,首先遇到的问题就是,当1.7安装好以后,(1.7的安装的环境变量配置自行百度吧)我是用cmd查看...